#!/bin/sh

if [ -z "$INFOHOME" ]
then
    echo "Please input the install location of Netcool/Reporter, enter exit if you would like to exit"
    read mypath
    if [ "$mypath" = "exit" ]
    then
           exit
    fi
    while [ ! -r "$mypath/Universal.conf" -o ! -d "$mypath/websqlbr" ]
    do
	  echo incorrect location!
          echo Please input the install location of Netcool/Reporter, enter exit if you would like to exit
          read mypath
          if [ "$mypath" = "exit" ]
          then
               exit
          fi
    done
    INFOHOME=$mypath
    export INFOHOME
fi

"$INFOHOME/tools/jre/bin/java" -DINFOHOME=$INFOHOME -classpath patch_util.jar PatchForApache -v patch-2.2.0.9-IF0004.tar.gz -n 2.2.0.9-IF0004 "$1"
rc=$?
if [ $rc = 0 ] 
then
	readme="2.2.0.9-TIV-NCReporter-AIX-IF0004.README"
	if [ "$1" = "rollback" ] 
	then
	   if [ -f "$INFOHOME/$readme" ] 
	   then
	       rm "$INFOHOME/$readme"
	   fi 
	else
	   cp "$readme" "$INFOHOME/$readme"    
	fi
fi